- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Bubble

The Bubble is a widget to show text similar to how speech is represented in comics. More...

## Macros
#define | elm_obj_bubble_pos_set(pos) ELM_OBJ_BUBBLE_ID(ELM_OBJ_BUBBLE_SUB_ID_POS_SET), EO_TYPECHECK(Elm_Bubble_Pos, pos)
#define | elm_obj_bubble_pos_get(ret) ELM_OBJ_BUBBLE_ID(ELM_OBJ_BUBBLE_SUB_ID_POS_GET), EO_TYPECHECK(Elm_Bubble_Pos *, ret)

## Functions
Evas_Object * | elm_bubble_add (Evas_Object *parent)
| Add a new bubble to the parent. More...
void | elm_bubble_pos_set (Evas_Object *obj, Elm_Bubble_Pos pos)
| Set the corner of the bubble. More...
Elm_Bubble_Pos | elm_bubble_pos_get (const Evas_Object *obj)
| Get the corner of the bubble. More...

## Detailed Description

The Bubble is a widget to show text similar to how speech is represented in comics.

The bubble widget contains 5 important visual elements:

- The frame is a rectangle with rounded edjes and an "arrow".
- The `icon` is an image to which the frame's arrow points to.
- The `label` is a text which appears to the right of the icon if the corner is "top_left" or "bottom_left" and is right aligned to the frame otherwise.
- The `info` is a text which appears to the right of the label. Info's font is of a lighter color than label.
- The `content` is an evas object that is shown inside the frame.

The position of the arrow, icon, label and info depends on which corner is selected. The four available corners are:

- "top_left" - Default
- "top_right"
- "bottom_left"
- "bottom_right"

This widget inherits from the Layout one, so that all the functions acting on it also work for bubble objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"clicked"` - This is called when a user has clicked the bubble.
- `"focused"` - When the bubble has received focus. (since 1.8)
- `"unfocused"` - When the bubble has lost focus. (since 1.8)

Default content parts of the bubble that you can use for are:

- "default" - A content of the bubble
- "icon" - An icon of the bubble

Default text parts of the button widget that you can use for are:

- "default" - Label of the bubble
- "info" - info of the bubble

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

For an example of using a bubble see this.

## Macro Definition Documentation

#define elm_obj_bubble_pos_get | ( |  | ret | ) | ELM_OBJ_BUBBLE_ID(ELM_OBJ_BUBBLE_SUB_ID_POS_GET), EO_TYPECHECK(Elm_Bubble_Pos *, ret)

Since
  1.8

Get the corner of the bubble

Parameters

  [out] | ret |

See Also
  elm_bubble_pos_get

Referenced by elm_bubble_pos_get().

#define elm_obj_bubble_pos_set | ( |  | pos | ) | ELM_OBJ_BUBBLE_ID(ELM_OBJ_BUBBLE_SUB_ID_POS_SET), EO_TYPECHECK(Elm_Bubble_Pos, pos)

Since
  1.8

Set the corner of the bubble

Parameters

  [in] | pos |

See Also
  elm_bubble_pos_set

Referenced by elm_bubble_pos_set().

## Function Documentation

Evas_Object* elm_bubble_add | ( | Evas_Object * | parent | ) |

Add a new bubble to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

This function adds a text bubble to the given parent evas object.

Elm_Bubble_Pos elm_bubble_pos_get | ( | const Evas_Object * | obj | ) |

Get the corner of the bubble.

Parameters

  obj | The bubble object.

Returns
  The given corner for the bubble.

This function gets the selected corner of the bubble.

References elm_obj_bubble_pos_get.

void elm_bubble_pos_set | ( | Evas_Object * | obj,
|  | Elm_Bubble_Pos | pos
| ) |  |

Set the corner of the bubble.

Parameters

  obj | The bubble object.
  pos | The given corner for the bubble.

This function sets the corner of the bubble. The corner will be used to determine where the arrow in the frame points to and where label, icon and info are shown.

References elm_obj_bubble_pos_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12